<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:hyphenate="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="true"
    android:background="#f2f0eb" >

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent" >

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#ffffff" >

            <ImageView
                android:id="@+id/iv_temp"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerInParent="true"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"                              
                android:src="@drawable/live_bg_welcome" />

            <SurfaceView
                android:id="@+id/videoview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                 android:visibility="invisible"/>
        </FrameLayout>

        <RelativeLayout
            android:id="@+id/input_view"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_gravity="bottom" >

            <SurfaceView
                android:id="@+id/local_surface"
                android:layout_width="100dp"
                android:layout_height="120dp"
                android:layout_alignParentRight="true"
                android:layout_gravity="bottom"
                android:layout_marginBottom="100dp"
                android:layout_marginRight="10dp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/lay_btns"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:orientation="vertical"
  android:layout_gravity="top"          
            android:paddingLeft="20dp"
            android:paddingRight="20dp" >

            <LinearLayout
                android:id="@+id/ll_state_container"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_marginTop="5dp"
                android:gravity="center_horizontal"
                android:orientation="vertical" >

                <TextView
                    android:id="@+id/tv_live_state"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="12dp"
                    android:paddingRight="12dp"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:visibility="visible" />

                <Chronometer
                    android:id="@+id/chronometer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Chronometer"
                    android:textColor="#fff"
                    android:visibility="invisible" />

                <TextView
                    android:id="@+id/tv_nick"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="调试"
                    android:textColor="@android:color/white"
                    android:textSize="20sp" />
            </LinearLayout>    
         </RelativeLayout>        
        <!-- 控制层 -->

        <FrameLayout
            android:id="@+id/fl_loading"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true" >

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="#73000000" >

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true" >

                    <ImageView
                        android:id="@+id/im_logo"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentTop="true" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/im_logo"
                        android:layout_marginLeft="35.0dp"
                        android:layout_marginTop="10.0dp" >

                        <TextView
                            android:id="@+id/tv_loading_buffer"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="35.0dp"
                            android:layout_marginTop="13.0dp"
                            android:text="直播视频连接中..."
                            android:textColor="#ffffff"
                            android:textSize="14sp" />
                    </RelativeLayout>
                </RelativeLayout>
            </RelativeLayout>
        </FrameLayout>
        <!-- 底部弹幕显示 -->

        <com.lianxin.panqq.ulive.UMessageView
            android:id="@+id/message_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
        <!-- 中部控制 亮度 声音 -->

        <com.lianxin.panqq.ulive.UControlView
            android:id="@+id/control_center"
            android:layout_width="110.0dp"
            android:layout_height="110.0dp"
            android:layout_gravity="center"
            android:visibility="gone" />
    </FrameLayout>

</RelativeLayout>
